local utils = require("utils")

local StarSnowBloom = {}

StarSnowBloom.name = "StarSnowBloom"
StarSnowBloom.depth = 0
StarSnowBloom.placements = {
    name = "StarSnowBloom",
    data = {}
}

function StarSnowBloom.draw(room, entity, viewport)
    local x, y = entity.x or 0, entity.y or 0
    love.graphics.circle("line", x, y, 12)
end

function StarSnowBloom.selection(room, entity)
    return utils.rectangle(entity.x - 12, entity.y - 12, 24, 24)
end

return StarSnowBloom